aboutsummaryrefslogtreecommitdiffstats
path: root/find-requires.in
diff options
context:
space:
mode:
authorThierry Vignaud <thierry.vignaud@gmail.com>2014-09-08 15:16:23 +0200
committerThierry Vignaud <thierry.vignaud@gmail.com>2014-09-12 22:29:39 +0200
commit06efb215c18a0f7225f636c953f7d6bced24eee8 (patch)
tree8c77c9c5c48fb6a0ab149f2085a4c94f0a54e029 /find-requires.in
parent895ea9ff8be3fffcb38b37a18662c58a928ddbb3 (diff)
downloadrpm-setup-06efb215c18a0f7225f636c953f7d6bced24eee8.tar
rpm-setup-06efb215c18a0f7225f636c953f7d6bced24eee8.tar.gz
rpm-setup-06efb215c18a0f7225f636c953f7d6bced24eee8.tar.bz2
rpm-setup-06efb215c18a0f7225f636c953f7d6bced24eee8.tar.xz
rpm-setup-06efb215c18a0f7225f636c953f7d6bced24eee8.zip
gstreamer/haskell/ruby/typelib will be managed elsewhere
we backported the needed .(attr|prov|req) files from FC/SuSe
Diffstat (limited to 'find-requires.in')
-rwxr-xr-xfind-requires.in21
1 files changed, 0 insertions, 21 deletions
diff --git a/find-requires.in b/find-requires.in
index c56c2e1..377389b 100755
--- a/find-requires.in
+++ b/find-requires.in
@@ -40,8 +40,6 @@ fi
#
filelist=`sed "s/[]['\"*?{}]/\\\\\&/g"`
-rubygemlist=`echo "$filelist"| egrep "\.gemspec$"`
-
#
# --- If libperl.so exists and if XS modules are found, depend on perlapi-<version> and libperl.so
if [ -n "$perllist" ]; then
@@ -62,18 +60,6 @@ fi
echo $filelist | tr '[:blank:]' \\n | /usr/lib/rpm/rpmdeps --requires
#
-# --- typelib() gobject-introspection bindings
-[ -x @RPMVENDORDIR@/gi-find-deps.sh ] &&
- echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/gi-find-deps.sh -R | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/gi-find-deps.sh failed' >&2 && exit 1
-
-#
-# --- Ruby gems
-[ -x /usr/bin/ruby -a -x @RPMVENDORDIR@/rubygems.rb -a -n "$rubygemlist" ] &&
- echo $rubygemlist | tr '[:blank:]' \\n | @RPMVENDORDIR@/rubygems.rb --requires | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/rubygems.rb failed' >&2 && exit 1
-
-#
# --- .so files.
for i in `echo $filelist | tr '[:blank:]' "\n" | egrep "(/usr(/X11R6)?)?/lib(|64)/[^/]+\.so$"`; do
objd=`objdump -p ${i} | grep SONAME`
@@ -103,11 +89,4 @@ done | egrep -v 'devel\(linux-gate|linux-vdso32|linux-vdso64|lib(c|pthread|rt)(\
# --- multiarch-utils
echo $filelist | tr '[:blank:]' '\n' | grep -q '/multiarch-.*-linux/' && echo multiarch-utils
-#
-# haskell requires
-if [ -x /usr/bin/haskell-find-requires ]; then
-echo $filelist | tr '[:blank:]' '\n' | /usr/bin/haskell-find-requires \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: /usr/bin/haskell-find-requires failed' >&2 && exit 1
-fi
-
exit 0